
Figure - Bug #118214
【IOVDEV-26826】【内部】【VC1】【0094】【台架】【EE环境】【副屏】企业微信语音通话过程中，中控
可以播放音乐或视频，有媒体声音输出
2023-05-24 20:12 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-24

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 0100

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: 0106

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 和118165原因一致

Description

【环境信息】EE环境

【问题出现时间】：20230509  17：40

【前提条件】：车机上电,副屏安装并登录企业微信

【操作步骤】

1. 副屏端企业微信进行语音通话

2.中控端播放音乐或视频

【实际结果】

副屏进行企业微信的语音通话过程中，音乐或视频声音也在混音输出

【期望结果】

副屏进行企业微信的语音通话过程中，无音乐或视频声音输出

【车架号】：

【备注】：

副屏log地址：https://ofs.human-horizons.com/#/download/index/LNsgcFDUwH0%3D

History

#1 - 2023-05-24 20:14 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118214

#2 - 2023-05-25 15:58 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

HI ALL

从当前的日志来看，

没有申请VOICE CALL的焦点的日志的输出，怀疑通话时应用没有申请焦点。
下一步

本地测试，看是否会出现该问题。

#3 - 2023-05-25 19:51 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_Test 吴诗雨

Hi 诗雨

经过本地测试，发现该问题不发生，而且焦点是正常申请，

而当前问题的日志中，没有企业微信任何申请voice call焦点的内容；

全部都是企业微信在申请media焦点。

请尝试复现该问题，并获取复现时的日志，谢谢！

#4 - 2023-05-25 19:56 - CDTS_Test 吴诗雨

- File 18点02分副屏企业微信语音通话时，中控可以播放音乐.7z added

中控版本：0082，副屏版本：0100，车架号VIN：HRYTTESTVINMGM400，中控log可从云端获取。

操作步骤：1.副屏登录企业微信选择联系人进行语音通话 2.中控端点击多媒体中的读物进行播放

现象：副屏语音通话时，中控的读物可以播放，有声音输出

#5 - 2023-05-25 19:57 - CDTS_Test 吴诗雨

- Assignee changed from CDTS_Test 吴诗雨 to Multimedia组-RD3_TSCD 梁卿山

#6 - 2023-05-25 21:14 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD FW-程天颖

HI 天颖

从新的日志分析：

申请焦点的信息被微服务卡主了，所以没有通知到中控；

18点02分副屏企业微信语音通话时，中控可以播放音乐.log:19112:05-24 17:53:13.286  1536   647 I MicroServiceManager:

requestResult(abandonAudioFocus) parameters is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}.

18点02分副屏企业微信语音通话时，中控可以播放音乐.log:19160:05-24 17:53:13.888  1536 19785 I MicroServiceManager:

requestResult(requestAudioFocus) parameters is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media"}}.

18点02分副屏企业微信语音通话时，中控可以播放音乐.log:19270:05-24 17:53:20.186  1536  2609 I MicroServiceManager:

requestResult(requestAudioFocus) parameters is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}.

18点02分副屏企业微信语音通话时，中控可以播放音乐.log:19877:05-24 17:53:50.188  1536  2977 I MicroServiceManager:

requestResult(abandonAudioFocus) parameters is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}.

18点02分副屏企业微信语音通话时，中控可以播放音乐.log:19926:05-24 17:53:50.791  1536  2977 I MicroServiceManager:

requestResult(requestAudioFocus) parameters is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media"}}.

18点02分副屏企业微信语音通话时，中控可以播放音乐.log:20504:05-24 17:54:44.353  1536  5793 I MicroServiceManager:

requestResult(requestAudioFocus) parameters is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}.

18点02分副屏企业微信语音通话时，中控可以播放音乐.log:20583:05-24 17:54:47.526  1536 19785 I MicroServiceManager:
requestResult(abandonAudioFocus) parameters is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}.

18点02分副屏企业微信语音通话时，中控可以播放音乐.log:20640:05-24 17:54:48.130  1536  2254 I MicroServiceManager:

requestResult(requestAudioFocus) parameters is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media"}}.

麻烦分析一下，为什么微服务没有通知到中控焦点请求。

#7 - 2023-05-26 15:18 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD FW 曹覃刚

#8 - 2023-05-26 16:22 - CD FW-程天颖

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

- Need_Info changed from -- to TEST

Hi 诗雨

18点02分副屏企业微信语音通话时，中控可以播放音乐.7z

新同步的日志信息太少了，期望帮忙获取下历史日志，谢谢

同时也已经飞书联系诗雨

#9 - 2023-05-27 15:42 - CDTS_Test 吴诗雨

- File 17点08分副屏语音通话时中控播放音乐，音乐可以播放.7z added

- File 26826副屏语音通话时中控还能播放音乐.mp4 added

- File 复现26826输出实时日志和历史日志.7z added

- Category changed from AUDIO-FW to CD-FW

- Assignee changed from CDTS_Test 吴诗雨 to CD FW-程天颖

副屏0100版本，中控0082版本，VIN:HRYTTESTVINMGM400

副屏企业微信语音通话时，中控点击多媒体进行音乐播放，音乐可播放。 附件为副屏的adb log,17点08分副屏语音通话时中控播放音乐，音乐可以播

放.7z26826副屏语音通话时中控还能播放音乐.mp4； 输出历史日志log地址：https://ofs.human-horizons.com/#/download/index/fvZwsCW4YtA%3D

#10 - 2023-05-29 17:30 - CD FW-程天颖

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD FW-程天颖 to Multimedia组-RD3_TSCD 梁卿山

Hi,卿山，请帮忙分析一下

#11 - 2023-05-29 17:33 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 和118165原因一致
Hi 永红

该问题和下面的问题原因一致，请使用5月26日后的版本进行验证，谢谢！

https://share.thundersoft.com/redmine/issues/118165

#12 - 2023-05-29 17:33 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

#13 - 2023-06-01 16:12 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 0106

6.1

验证通过

#14 - 2023-06-01 16:12 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

Files

18点02分副屏企业微信语音通话时，中控可以播放音乐.7z 327 KB 2023-05-25 CDTS_Test 吴诗雨

17点08分副屏语音通话时中控播放音乐，音乐可以播放.7z 224 KB 2023-05-27 CDTS_Test 吴诗雨

26826副屏语音通话时中控还能播放音乐.mp4 6.77 MB 2023-05-27 CDTS_Test 吴诗雨

复现26826输出实时日志和历史日志.7z 13.5 MB 2023-05-27 CDTS_Test 吴诗雨
